Main Support

Why is my Joomla version not compatible with the integrity check?

The integrity check is part of the Watchful security audit (see video tour). It analyzes the core files in your CMS to the original copies and looks for changes.

Since changing or hacking core files is a dangerous and unadvisable, and changes are detected and reported by the integrity checker.

Sometimes, the integrity checker may produce an error message such as: We can't check the integrity of this Joomla version right now. Please try again later.

This error may be caused by a number of factors such as:

  • Using a Beta version of your CMS
  • Performing an audit a few minutes after the release of a new CMS version
  • Using a custom version (eg. manually patched versions for end-of-life security issues)
  • The remote site cannot connect to Watchful

If you repeated get this error, please try the following:

  1. Wait at least 4 hours and repeat the audit.
  2. Ensure that your site is connecting normally to Watchful by clicking the Refresh Data button and ensuring that the connection column in the dashboard displays a green indicator. Most connection problems can be solved by following these troubleshooting steps
  3. Upgrade to the latest version of your CMS.

If none of these steps are successful in resolving the issue, please send a message to our support agents using the link on your dashboard.